Index: gnu/usr.bin/perl/Porting/config.sh
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/Porting/config.sh,v
retrieving revision 1.9
diff -u -p -u -p -r1.9 config.sh
--- gnu/usr.bin/perl/Porting/config.sh	13 Feb 2019 21:15:06 -0000	1.9
+++ gnu/usr.bin/perl/Porting/config.sh	13 May 2019 15:13:22 -0000
@@ -48,8 +48,8 @@ api_subversion='0'
 api_version='28'
 api_versionstring='5.28.0'
 ar='ar'
-archlib='/opt/perl/lib/5.28.1/x86_64-linux'
-archlibexp='/opt/perl/lib/5.28.1/x86_64-linux'
+archlib='/opt/perl/lib/5.28.2/x86_64-linux'
+archlibexp='/opt/perl/lib/5.28.2/x86_64-linux'
 archname64=''
 archname='x86_64-linux'
 archobjs=''
@@ -842,7 +842,7 @@ incpath=''
 incpth='/usr/lib/gcc/x86_64-linux-gnu/4.9/include /usr/local/include /usr/lib/gcc/x86_64-linux-gnu/4.9/include-fixed /usr/include/x86_64-linux-gnu /usr/include'
 inews=''
 initialinstalllocation='/opt/perl/bin'
-installarchlib='/opt/perl/lib/5.28.1/x86_64-linux'
+installarchlib='/opt/perl/lib/5.28.2/x86_64-linux'
 installbin='/opt/perl/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -850,13 +850,13 @@ installman1dir='/opt/perl/man/man1'
 installman3dir='/opt/perl/man/man3'
 installprefix='/opt/perl'
 installprefixexp='/opt/perl'
-installprivlib='/opt/perl/lib/5.28.1'
+installprivlib='/opt/perl/lib/5.28.2'
 installscript='/opt/perl/bin'
-installsitearch='/opt/perl/lib/site_perl/5.28.1/x86_64-linux'
+installsitearch='/opt/perl/lib/site_perl/5.28.2/x86_64-linux'
 installsitebin='/opt/perl/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='/opt/perl/lib/site_perl/5.28.1'
+installsitelib='/opt/perl/lib/site_perl/5.28.2'
 installsiteman1dir='/opt/perl/man/man1'
 installsiteman3dir='/opt/perl/man/man3'
 installsitescript='/opt/perl/bin'
@@ -981,7 +981,7 @@ perl_patchlevel=''
 perl_static_inline='static __inline__'
 perladmin='yourname@yourhost.yourplace.com'
 perllibs='-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc'
-perlpath='/opt/perl/bin/perl5.28.1'
+perlpath='/opt/perl/bin/perl5.28.2'
 pg='pg'
 phostname=''
 pidtype='pid_t'
@@ -990,8 +990,8 @@ pmake=''
 pr=''
 prefix='/opt/perl'
 prefixexp='/opt/perl'
-privlib='/opt/perl/lib/5.28.1'
-privlibexp='/opt/perl/lib/5.28.1'
+privlib='/opt/perl/lib/5.28.2'
+privlibexp='/opt/perl/lib/5.28.2'
 procselfexe='"/proc/self/exe"'
 ptrsize='8'
 quadkind='2'
@@ -1056,17 +1056,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 6, 17, 29, 31, 0'
 sig_size='69'
 signal_t='void'
-sitearch='/opt/perl/lib/site_perl/5.28.1/x86_64-linux'
-sitearchexp='/opt/perl/lib/site_perl/5.28.1/x86_64-linux'
+sitearch='/opt/perl/lib/site_perl/5.28.2/x86_64-linux'
+sitearchexp='/opt/perl/lib/site_perl/5.28.2/x86_64-linux'
 sitebin='/opt/perl/bin'
 sitebinexp='/opt/perl/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/opt/perl/lib/site_perl/5.28.1'
+sitelib='/opt/perl/lib/site_perl/5.28.2'
 sitelib_stem='/opt/perl/lib/site_perl'
-sitelibexp='/opt/perl/lib/site_perl/5.28.1'
+sitelibexp='/opt/perl/lib/site_perl/5.28.2'
 siteman1dir='/opt/perl/man/man1'
 siteman1direxp='/opt/perl/man/man1'
 siteman3dir='/opt/perl/man/man3'
@@ -1092,7 +1092,7 @@ src='.'
 ssizetype='ssize_t'
 st_ino_sign='1'
 st_ino_size='8'
-startperl='#!/opt/perl/bin/perl5.28.1'
+startperl='#!/opt/perl/bin/perl5.28.2'
 startsh='#!/bin/sh'
 static_ext=' '
 stdchar='char'
@@ -1104,7 +1104,7 @@ stdio_ptr='((fp)->_IO_read_ptr)'
 stdio_stream_array=''
 strerror_r_proto='0'
 submit=''
-subversion='1'
+subversion='2'
 sysman='/usr/share/man/man1'
 sysroot=''
 tail=''
@@ -1202,8 +1202,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.28.1'
-version_patchlevel_string='version 28 subversion 1'
+version='5.28.2'
+version_patchlevel_string='version 28 subversion 2'
 versiononly='define'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1213,7 +1213,7 @@ zcat=''
 zip='zip'
 PERL_REVISION=5
 PERL_VERSION=28
-PERL_SUBVERSION=1
+PERL_SUBVERSION=2
 PERL_API_REVISION=5
 PERL_API_VERSION=28
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Porting/config_H
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/Porting/config_H,v
retrieving revision 1.21
diff -u -p -u -p -r1.21 config_H
--- gnu/usr.bin/perl/Porting/config_H	13 Feb 2019 21:15:07 -0000	1.21
+++ gnu/usr.bin/perl/Porting/config_H	13 May 2019 15:13:22 -0000
@@ -1239,8 +1239,8 @@
  *	This symbol contains the ~name expanded version of ARCHLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "/opt/perl/lib/5.28.1/x86_64-linux"		/**/
-#define ARCHLIB_EXP "/opt/perl/lib/5.28.1/x86_64-linux"		/**/
+#define ARCHLIB "/opt/perl/lib/5.28.2/x86_64-linux"		/**/
+#define ARCHLIB_EXP "/opt/perl/lib/5.28.2/x86_64-linux"		/**/
 
 /* BIN:
  *	This symbol holds the path of the bin directory where the package will
@@ -1293,8 +1293,8 @@
  *	This symbol contains the ~name expanded version of PRIVLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/opt/perl/lib/5.28.1"		/**/
-#define PRIVLIB_EXP "/opt/perl/lib/5.28.1"		/**/
+#define PRIVLIB "/opt/perl/lib/5.28.2"		/**/
+#define PRIVLIB_EXP "/opt/perl/lib/5.28.2"		/**/
 
 /* SITEARCH:
  *	This symbol contains the name of the private library for this package.
@@ -1311,8 +1311,8 @@
  *	This symbol contains the ~name expanded version of SITEARCH, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "/opt/perl/lib/site_perl/5.28.1/x86_64-linux"		/**/
-#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.28.1/x86_64-linux"		/**/
+#define SITEARCH "/opt/perl/lib/site_perl/5.28.2/x86_64-linux"		/**/
+#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.28.2/x86_64-linux"		/**/
 
 /* SITELIB:
  *	This symbol contains the name of the private library for this package.
@@ -1334,8 +1334,8 @@
  *	removed.  The elements in inc_version_list (inc_version_list.U) can
  *	be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/opt/perl/lib/site_perl/5.28.1"		/**/
-#define SITELIB_EXP "/opt/perl/lib/site_perl/5.28.1"		/**/
+#define SITELIB "/opt/perl/lib/site_perl/5.28.2"		/**/
+#define SITELIB_EXP "/opt/perl/lib/site_perl/5.28.2"		/**/
 #define SITELIB_STEM "/opt/perl/lib/site_perl"		/**/
 
 /* PERL_VENDORARCH:
@@ -4120,7 +4120,7 @@
  *	script to make sure (one hopes) that it runs with perl and not
  *	some shell.
  */
-#define STARTPERL "#!/opt/perl/bin/perl5.28.1"		/**/
+#define STARTPERL "#!/opt/perl/bin/perl5.28.2"		/**/
 
 /* HAS_STDIO_STREAM_ARRAY:
  *	This symbol, if defined, tells that there is an array
Index: gnu/usr.bin/perl/Porting/epigraphs.pod
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/Porting/epigraphs.pod,v
retrieving revision 1.6
diff -u -p -u -p -r1.6 epigraphs.pod
--- gnu/usr.bin/perl/Porting/epigraphs.pod	13 Feb 2019 21:15:07 -0000	1.6
+++ gnu/usr.bin/perl/Porting/epigraphs.pod	13 May 2019 15:13:22 -0000
@@ -17,6 +17,115 @@ Consult your favorite dictionary for det
 
 =head1 EPIGRAPHS
 
+=head2 v5.29.9 - Sir Arthur Conan Doyle, The Adventure of the Dancing Men
+
+L<Announced on 2019-03-21 by Zak Elep|https://www.nntp.perl.org/group/perl.perl5.porters/2019/03/msg253978.html>
+
+  What one man can invent, another can discover.
+
+=head2 v5.29.8 -  Isaac Asimov, Foundation: “Never let your sense of morals get in the way of doing what's right.”
+
+L<Announced on 2019-02-20 by Atoomic|https://www.nntp.perl.org/group/perl.perl5.porters/2019/02/msg253750.html>
+
+=head2 v5.29.7 - Edsger W. Dijkstra: "Programming Considered as a Human Activity", IFIP Congress, New York, 1965.
+
+L<Announced on 2019-01-20 by Abigail|https://www.nntp.perl.org/group/perl.perl5.porters/2019/01/msg253444.html>
+
+When I became acquainted with the notion of algorithmic languages I
+never challenged the then prevailing notion that the problems of
+language design and implementation were mostly a question of
+compromises: every new convenience for the user had to be paid for
+by the implementation, either in the form of increased trouble
+during translation, or during execution or during both. Well, we
+are most certainly not living in Heaven and I am not going to deny
+the possibility of a conflict between convenience and efficiency,
+but now I do protest when this conflict is presented as a complete
+summing up of the situation. I am of the opinion that is worth-while
+to investigate what extent the needs of Man and Machine go hand in
+hand and to see what techniques we can devise of the benefit of all
+of us. I trust that this investigation will bear fruits and if this
+talk made some of you share this fervent hope, it has achieved its aim.
+
+=head2 v5.29.6 - Rudyard Kipling: "How the Camel Got His Hump"
+
+L<Announced on 2018-12-18 by Abigail|https://www.nntp.perl.org/group/perl.perl5.porters/2018/12/msg253187.html>
+
+  The Camel's hump is an ugly lump
+    Which well you may see at the Zoo;
+  But uglier yet is the hump we get
+    From having little to do.
+
+  Kiddies and grown-ups too-oo-oo
+  If we haven't enough to do-oo-oo,
+        We get the hump -
+        Cameelious hump -
+  The hump that is black and blue!
+
+  We climb out of bed with a frouzly head
+    And a snarly-yarly voice.
+  We shiver and scowl and we grunt and we growl
+    At our bath and our boots and our toys;
+
+  And there ought to be a corner for me
+  (And I know there is one for you)
+        When we get the hump -
+        Cameelious hump -
+  The hump that is black and blue!
+
+  The cure for this ill is to not sit still,
+    Or frowst with a book by the fire;
+  But to take a large hoe and a shovel also,
+    And dig till you gentle perspire;
+
+  And then you will find that the sun and the wind,
+  And the Djinn of the Garden too,
+        Have lifted the hump -
+        The horrible hump -
+  The hump that is black and blue!
+
+  I get it as well as you-oo-oo -
+  If I haven't enough to do-oo-oo!
+        We all get hump -
+        Cameelious hump -
+  Kiddies and grown-ups too!
+
+
+=head2 v5.29.5 - T. S. Eliot, "The Naming Of Cats"
+
+L<Announced on 2018-11-20 by Karen Etheridge|https://www.nntp.perl.org/group/perl.perl5.porters/2018/11/msg252839.html>
+
+  The Naming of Cats is a difficult matter,
+  It isn't just one of your holiday games;
+  You may think at first I'm as mad as a hatter
+  When I tell you, a cat must have THREE DIFFERENT NAMES.
+  First of all, there's the name that the family use daily,
+  Such as Peter, Augustus, Alonzo or James,
+  Such as Victor or Jonathan, George or Bill Bailey--
+  All of them sensible everyday names.
+  There are fancier names if you think they sound sweeter,
+  Some for the gentlemen, some for the dames:
+  Such as Plato, Admetus, Electra, Demeter--
+  But all of them sensible everyday names.
+  But I tell you, a cat needs a name that's particular,
+  A name that's peculiar, and more dignified,
+  Else how can he keep up his tail perpendicular,
+  Or spread out his whiskers, or cherish his pride?
+  Of names of this kind, I can give you a quorum,
+  Such as Munkustrap, Quaxo, or Coricopat,
+  Such as Bombalurina, or else Jellylorum-
+  Names that never belong to more than one cat.
+  But above and beyond there's still one name left over,
+  And that is the name that you never will guess;
+  The name that no human research can discover--
+  But THE CAT HIMSELF KNOWS, and will never confess.
+  When you notice a cat in profound meditation,
+  The reason, I tell you, is always the same:
+  His mind is engaged in a rapt contemplation
+  Of the thought, of the thought, of the thought of his name:
+  His ineffable effable
+  Effanineffable
+  Deep and inscrutable singular Name.
+
 =head2 v5.29.4 - The Mountain Goats, "Oceanographer's Choice"
 
 L<Announced on 2018-10-20 by Aaron Crane|https://www.nntp.perl.org/group/perl.perl5.porters/2018/10/msg252575.html>
@@ -110,6 +219,41 @@ L<Announced on 2018-06-26 by Sawyer X|ht
 
   Courage is the only antidote for danger.
 
+=head2 v5.28.2-RC1 - Edward Lear, ed. Vivien Noakes, "The Complete Nonsense and Other Verse": The Quangle Wangle's Hat
+
+L<Announced on 2019-04-05 by Steve Hay|http://www.nntp.perl.org/group/perl.perl5.porters/2019/04/msg254218.html>
+
+  On the top of the Crumpetty Tree
+    The Quangle Wangle sat,
+  But his face you could not see,
+    On account of his Beaver Hat.
+  For his Hat was a hundred and two feet wide,
+  With ribbons and bibbons on every side,
+  And bells, and buttons, and loops, and lace,
+  So that nobody ever could see the face
+      Of the Quangle Wangle Quee.
+
+=head2 v5.28.1 - Humphrey Burton, "Leonard Bernstein"
+
+L<Announced on 2018-11-29 by Steve Hay|http://nntp.perl.org/group/perl.perl5.porters/2018/11/msg252975.html>
+
+On August 25, 1983, Leonard Bernstein celebrated his sixty-fifth
+birthday in his birthplace, Lawrence, Massachusetts.  He had actually
+lived in the town for only a few weeks as a newborn baby, and had last
+visited it forty-nine years previously, in 1934, to get the name on his
+birth certificate altered from Louis to Leonard.  But the citizens of
+Lawrence proposed to dedicate an outdoor theater to him in their
+heritage park and to provide not one but two local orchestras--the
+Merrimack Valley Philharmonic to play excerpts from his own compositions
+and the Greater Boston Youth Symphony and Chorus to perform the "Ode to
+Joy" and accompany Bernstein himself reading (for the only time in his
+life) the text of A Lincoln Portrait.  So Bernstein turned down birthday
+invitations from Tanglewood and Central Park, New York, and the
+Hollywood Bowl and drove through the cheering if slightly bewildered
+crowds lining the streets of Lawrence in an open-topped 1928 Ford
+roadster, looking as homespun as James Stewart in Frank Capra's classic,
+It's a Wonderful Life.
+
 =head2 v5.28.0 - Martin Luther King, Jr., 1967
 
 L<Announced on 2018-06-22 by Sawyer X|http://nntp.perl.org/group/perl.perl5.porters/251240>
@@ -403,6 +547,23 @@ L<Announced on 2017-05-31 by Sawyer X|ht
   pleasure brings no happiness, but only a deeper despair.
 
     -- Bertrand Russell, The Road to Happiness
+
+=head2 v5.26.3 - Humphrey Burton, "Leonard Bernstein"
+
+L<Announced on 2018-11-29 by Steve Hay|http://nntp.perl.org/group/perl.perl5.porters/2018/11/msg252974.html>
+
+The origins of the name "Bernstein" are sometimes linked with the German
+noun Bernstein, which means "amber"--a translucent yellowish fossilized
+resin, used for ornaments and thought to possess magical properties.
+Leonard Bernstein would later call himself "Lenny Amber" when he needed
+a pseudonym for the popular piano transcriptions he published in his
+mid-twenties, and his business affairs would be organized within a
+company called Amberson Enterprises.  There are several towns and
+villages named Bernstein in Germany and Austria (where the pronunciation
+is BernSTINE), but Bernstein's parents came from Jewish ghettos in
+northwestern Ukraine, where the last syllable is usually pronounced
+BernSHTAYN or STEEN.  Sam insisted, however, on the mid-European style
+employed by the earlier immigrants.
 
 =head2 v5.26.2 - Desmond Morris, "Catwatching: The Essential Guide to Cat Behaviour"
 
Index: gnu/usr.bin/perl/Porting/release_managers_guide.pod
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/Porting/release_managers_guide.pod,v
retrieving revision 1.5
diff -u -p -u -p -r1.5 release_managers_guide.pod
--- gnu/usr.bin/perl/Porting/release_managers_guide.pod	13 Feb 2019 21:15:07 -0000	1.5
+++ gnu/usr.bin/perl/Porting/release_managers_guide.pod	13 May 2019 15:13:22 -0000
@@ -206,7 +206,7 @@ You can also run an actual diff of the c
 to CPAN, to ensure that there were no erroneous/extraneous changes that need to
 be dealt with. You do this by not passing the C<-x> option:
 
-    $ ./perl -Ilib Porting/core-cpan-diff -a -o /tmp/corediffs
+    $ ./perl -Ilib Porting/core-cpan-diff -a -o ~/corediffs
 
 Passing C<-u cpan> will probably be helpful, since it limits the search to
 distributions with 'cpan' upstream source.  (It's OK for blead upstream to
@@ -238,6 +238,16 @@ necessary, fix things up. For example, y
 and maint are synchronised with a particular CPAN module, but one might
 have some extra changes.
 
+In any case, any cpan-first distribution that is listed as having files
+"Customized for blead" in the output of cpan-core-diff should have requests
+submitted to the maintainer(s) to make a cpan release to catch up with blead.
+
+Additionally, all files listed as "modified" but not "customized for blead"
+should have entries added under the C<CUSTOMIZED> key in
+F<Porting/Maintainers.pl>, as well as checksums updated via:
+
+    cd t; ./perl -I../lib porting/customized.t --regen
+
 =head4 Sync CPAN modules with the corresponding cpanE<sol> distro
 
 In most cases, once a new version of a distribution shipped with core has been
@@ -393,7 +403,7 @@ L<"update Module::CoreList">).
 =head3 Bump the version number
 
 Do not do this yet for a BLEAD-POINT release! You will do this at the end of
-the release process.
+the release process (after building the final tarball, tagging etc).
 
 Increase the version number (e.g. from 5.12.0 to 5.12.1).
 
@@ -425,9 +435,11 @@ F<pod/perlpolicy.pod>.
 When doing a BLEAD-POINT or BLEAD-FINAL release, also make sure the
 C<PERL_API_*> constants in F<patchlevel.h> are in sync with the version
 you're releasing, unless you're absolutely sure the release you're about to
-make is 100% binary compatible to an earlier release. When releasing a MAINT
-perl version, the C<PERL_API_*> constants C<MUST NOT> be changed as we aim
-to guarantee binary compatibility in maint branches.
+make is 100% binary compatible to an earlier release. Note: for BLEAD-POINT
+releases the bump should have already occured at the end of the previous release
+and this is somethig you would have to do at the very end.
+When releasing a MAINT perl version, the C<PERL_API_*> constants C<MUST NOT>
+be changed as we aim to guarantee binary compatibility in maint branches.
 
 After editing, regenerate uconfig.h (this must be run on a system with a
 /bin/sh available):
@@ -469,6 +481,7 @@ version number.
 =head3 update INSTALL
 
 Review and update INSTALL to account for the change in version number.
+INSTALL for a BLEAD-POINT release should already contain the expected version.
 The lines in F<INSTALL> about "is not binary compatible with" may require a
 correct choice of earlier version to declare incompatibility with. These are
 in the "Changes and Incompatibilities" and "Coexistence with earlier versions
@@ -521,6 +534,9 @@ C<-Dusethreads>
 If you have multiple compilers on your machine, you might also consider
 compiling with C<-Dcc=$other_compiler>.
 
+You can also consider pushing the repo to GitHub where Travis CI is enabled
+which would smoke different flavors of Perl for you.
+
 =head3 update perlport
 
 L<perlport> has a section currently named I<Supported Platforms> that
@@ -732,7 +748,7 @@ Also, you may want to generate and view 
 formatting, e.g.
 
     $ ./perl -Ilib ext/Pod-Html/bin/pod2html pod/perldelta.pod > \
-        /tmp/perldelta.html
+        ~/perldelta.html
 
 If you make changes, be sure to commit them.
 
@@ -783,6 +799,13 @@ Then build a clean perl and do a full te
 
 Once all tests pass, commit your changes.
 
+=head3 final check of perldelta placeholders
+
+Check for any 'XXX' leftover section in the perldelta.
+Either fill them or remove these sections appropriately.
+
+    $ git grep XX pod/perldelta.pod
+
 =head3 build a clean perl
 
 If you skipped the previous step (adding/removing perldeltas),
@@ -1001,7 +1024,9 @@ which is why you should test from the ta
 
 =head4 Run the Installation Verification Procedure utility
 
-    $ ./perl utils/perlivp
+    $ ./perl ./perlivp
+    # Or, perhaps:
+    $ ./perl5.x.y ./perlivp5.x.y
     ...
     All tests successful.
     $
@@ -1064,7 +1089,7 @@ Test L<perlbug> with the following:
     (edit report)
     Action (Send/Display/Edit/Subject/Save to File): f
     Name of file to save message in [perlbug.rep]:
-    Action (Send/Display/Edit/Subject/Save to File): q
+    Action (Send/Display/Edit/Subject/Save to File): Q
 
 and carefully examine the output (in F<perlbug.rep]>), especially
 the "Locally applied patches" section. If everything appears okay, then
@@ -1126,8 +1151,10 @@ you have it configured:
     cpan-upload perl-5.X.Y.tar.xz
 
 Do not proceed any further until you are sure that your tarballs are on CPAN.
-Check your authors directory www.cpan.org (the globally balanced "fast"
-mirror) to confirm that your uploads have been successful.
+Check your authors directory metacpan.org to confirm that your uploads have
+been successful.
+
+    https://metacpan.org/author/YOUR_PAUSE_ID
 
 =for checklist skip RC BLEAD-POINT
 
Index: gnu/usr.bin/perl/Porting/release_schedule.pod
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/Porting/release_schedule.pod,v
retrieving revision 1.3
diff -u -p -u -p -r1.3 release_schedule.pod
--- gnu/usr.bin/perl/Porting/release_schedule.pod	13 Feb 2019 21:15:07 -0000	1.3
+++ gnu/usr.bin/perl/Porting/release_schedule.pod	13 May 2019 15:13:22 -0000
@@ -15,8 +15,8 @@ deemed necessary by the Pumpking.
 
 Code freezes (which happen in the 5.29.X series)
 
-  2019-02-20  5.29.8          Contentious changes freeze
-  2019-03-20  5.29.9          User-visible changes to correctly
+  2019-02-20  5.29.8 ✓        Contentious changes freeze
+  2019-03-20  5.29.9 ✓        User-visible changes to correctly
                               functioning programs freeze
   2019-04-20  5.29.10         Full code freeze
   2019-05-20  5.30.0          Stable release!
@@ -24,28 +24,15 @@ Code freezes (which happen in the 5.29.X
 =head2 Perl 5.28
 
   2018-05-20  5.28.0 ✓        Sawyer X
+  2018-11-29  5.28.1 ✓        Steve Hay
+  2019-04-??  5.28.2          Steve Hay
 
 =head2 Perl 5.26
 
   2017-05-30  5.26.0 ✓        Sawyer X
   2017-09-22  5.26.1 ✓        Steve Hay
   2018-04-14  5.26.2 ✓        Steve Hay
-
-=head2 Perl 5.24
-
-  2016-05-09  5.24.0 ✓        Ricardo Signes
-  2017-01-14  5.24.1 ✓        Steve Hay
-  2017-07-15  5.24.2 ✓        Steve Hay
-  2017-09-22  5.24.3 ✓        Steve Hay
-  2018-04-14  5.24.4 ✓        Steve Hay
-
-=head2 Perl 5.22
-
-  2015-06-01  5.22.0 ✓        Ricardo Signes
-  2015-12-13  5.22.1 ✓        Steve Hay
-  2016-04-29  5.22.2 ✓        Steve Hay
-  2017-01-14  5.22.3 ✓        Steve Hay
-  2017-07-15  5.22.4 ✓        Steve Hay
+  2018-11-29  5.26.3 ✓        Steve Hay
 
 =head1 DEVELOPMENT RELEASE SCHEDULE
 
@@ -68,12 +55,12 @@ you should reset the version numbers to 
   2018-08-20  5.29.2 ✓        Chris BinGOs Williams
   2018-09-20  5.29.3 ✓        John Anderson (genehack)
   2018-10-20  5.29.4 ✓        Aaron Crane
-  2018-11-20  5.29.5          Karen Etheridge (ether)
-  2018-12-20  5.29.6          Abigail
-  2019-01-20  5.29.7          Abigail
-  2019-02-20  5.29.8
-  2019-03-20  5.29.9
-  2019-04-20  5.29.10
+  2018-11-20  5.29.5 ✓        Karen Etheridge (ether)
+  2018-12-18  5.29.6 ✓        Abigail
+  2019-01-20  5.29.7 ✓        Abigail
+  2019-02-20  5.29.8 ✓        Nicolas R. (atoomic)
+  2019-03-20  5.29.9 ✓        Zak B. Elep
+  2019-04-20  5.29.10         Sawyer X
 
 (RC0 for 5.30.0 will be released once we think that all the blockers have been
 addressed.  This typically means some time in April or May.)
Index: gnu/usr.bin/perl/cpan/Pod-Perldoc/lib/Pod/Perldoc/ToMan.pm
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/cpan/Pod-Perldoc/lib/Pod/Perldoc/ToMan.pm,v
retrieving revision 1.11
diff -u -p -u -p -r1.11 ToMan.pm
--- gnu/usr.bin/perl/cpan/Pod-Perldoc/lib/Pod/Perldoc/ToMan.pm	5 May 2019 22:26:32 -0000	1.11
+++ gnu/usr.bin/perl/cpan/Pod-Perldoc/lib/Pod/Perldoc/ToMan.pm	13 May 2019 15:13:23 -0000
@@ -144,9 +144,7 @@ sub _get_podman_switches {
     #
     # See RT #77465
     #
-    # Then again, do *not* comment it out on OpenBSD:
-    # mandoc handles UTF-8 input just fine.
-    push @switches, 'utf8' => 1;
+    #push @switches, 'utf8' => 1;
 
 	$self->debug( "Pod::Man switches are [@switches]\n" );
 
@@ -229,10 +227,6 @@ sub _collect_nroff_switches {
 		push @render_switches, '-rLL=' . (int $c) . 'n' if $cols > 80;
 		}
 
-	if( $self->_is_mandoc ) {
-		push @render_switches, '-Owidth=' . $self->_get_columns;
-		}
-
 	# I hear persistent reports that adding a -c switch to $render
 	# solves many people's problems.  But I also hear that some mans
 	# don't have a -c switch, so that unconditionally adding it here
@@ -363,9 +357,6 @@ sub _filter_through_nroff {
 	$self->debug( sprintf "Done reading. Output is %d bytes\n",
 		length $done
 		);
-
-	# wait for it to exit
-	waitpid( $pid, 0 );
 
 	if( $? ) {
 		$self->warn( "Error from pipe to $render!\n" );
Index: gnu/usr.bin/perl/ext/PerlIO-scalar/scalar.pm
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/ext/PerlIO-scalar/scalar.pm,v
retrieving revision 1.3
diff -u -p -u -p -r1.3 scalar.pm
--- gnu/usr.bin/perl/ext/PerlIO-scalar/scalar.pm	13 Feb 2019 21:15:23 -0000	1.3
+++ gnu/usr.bin/perl/ext/PerlIO-scalar/scalar.pm	13 May 2019 15:13:23 -0000
@@ -1,5 +1,5 @@
 package PerlIO::scalar;
-our $VERSION = '0.29';
+our $VERSION = '0.30';
 require XSLoader;
 XSLoader::load();
 1;
Index: gnu/usr.bin/perl/ext/PerlIO-scalar/scalar.xs
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/ext/PerlIO-scalar/scalar.xs,v
retrieving revision 1.3
diff -u -p -u -p -r1.3 scalar.xs
--- gnu/usr.bin/perl/ext/PerlIO-scalar/scalar.xs	13 Feb 2019 21:15:23 -0000	1.3
+++ gnu/usr.bin/perl/ext/PerlIO-scalar/scalar.xs	13 May 2019 15:13:23 -0000
@@ -185,11 +185,20 @@ PerlIOScalar_read(pTHX_ PerlIO *f, void 
         /* I assume that Off_t is at least as large as len (which 
          * seems safe) and that the size of the buffer in our SV is
          * always less than half the size of the address space
+         *
+         * Which turns out not to be the case on 64-bit Windows, since
+         * a build with USE_LARGE_FILES=undef defines Off_t as long,
+         * which is 32-bits on 64-bit Windows.  This doesn't appear to
+         * be the case on other 64-bit platforms.
          */
-        STATIC_ASSERT_STMT(sizeof(Off_t) >= sizeof(len));
+#if Off_t_size >= Size_t_size
         assert(len < ((~(STRLEN)0) >> 1));
         if ((Off_t)len <= s->posn)
 	    return 0;
+#else
+        if (len <= (STRLEN)s->posn)
+            return 0;
+#endif
 	got = len - (STRLEN)(s->posn);
 	if ((STRLEN)got > (STRLEN)count)
 	    got = (STRLEN)count;
Index: gnu/usr.bin/perl/ext/XS-APItest/t/svcatpvf.t
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/ext/XS-APItest/t/svcatpvf.t,v
retrieving revision 1.1
diff -u -p -u -p -r1.1 svcatpvf.t
--- gnu/usr.bin/perl/ext/XS-APItest/t/svcatpvf.t	5 Feb 2017 00:32:14 -0000	1.1
+++ gnu/usr.bin/perl/ext/XS-APItest/t/svcatpvf.t	13 May 2019 15:13:23 -0000
@@ -16,6 +16,6 @@ for my $case (@cases) {
     my ($what, $format) = @$case;
     my $got = eval { test_sv_catpvf($format); 1 };
     my $exn = $got ? undef : $@;
-    like($exn, qr/\b\QCannot yet reorder sv_catpvfn() arguments from va_list\E\b/,
+    like($exn, qr/\b\QCannot yet reorder sv_vcatpvfn() arguments from va_list\E\b/,
          "explicit $what index forbidden in va_list arguments");
 }
Index: gnu/usr.bin/perl/hints/catamount.sh
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/hints/catamount.sh,v
retrieving revision 1.6
diff -u -p -u -p -r1.6 catamount.sh
--- gnu/usr.bin/perl/hints/catamount.sh	13 Feb 2019 21:15:24 -0000	1.6
+++ gnu/usr.bin/perl/hints/catamount.sh	13 May 2019 15:13:23 -0000
@@ -31,11 +31,11 @@
 # mkdir -p /opt/perl-catamount
 # mkdir -p /opt/perl-catamount/include
 # mkdir -p /opt/perl-catamount/lib
-# mkdir -p /opt/perl-catamount/lib/perl5/5.28.1
+# mkdir -p /opt/perl-catamount/lib/perl5/5.28.2
 # mkdir -p /opt/perl-catamount/bin
 # cp *.h /opt/perl-catamount/include
 # cp libperl.a /opt/perl-catamount/lib
-# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.28.1
+# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.28.2
 # cp miniperl perl run.sh cc.sh /opt/perl-catamount/lib
 #
 # With the headers and the libperl.a you can embed Perl to your Catamount
Index: gnu/usr.bin/perl/hints/linux.sh
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/hints/linux.sh,v
retrieving revision 1.18
diff -u -p -u -p -r1.18 linux.sh
--- gnu/usr.bin/perl/hints/linux.sh	13 Feb 2019 21:15:24 -0000	1.18
+++ gnu/usr.bin/perl/hints/linux.sh	13 May 2019 15:13:23 -0000
@@ -178,6 +178,16 @@ case "$plibpth" in
     ;;
 esac
 
+# For the musl libc, perl should #define _GNU_SOURCE.  Otherwise, some
+# available functions, like memem, won't be used.  See the discussion in
+# [perl #133760].  musl doesn't offer an easy way to identify it, but,
+# at least on alpine linux, the ldd --version output contains the
+# string 'musl.'
+case `ldd --version 2>&1` in
+    musl*)  ccflags="$ccflags -D_GNU_SOURCE" ;;
+        *) ;;
+esac
+
 # libquadmath is sometimes installed as gcc internal library,
 # so contrary to our usual policy of *not* looking at gcc internal
 # directories we now *do* look at them, in case they contain
Index: gnu/usr.bin/perl/lib/B/Op_private.pm
===================================================================
RCS file: /tmp/cvs/src/gnu/usr.bin/perl/lib/B/Op_private.pm,v
retrieving revision 1.4
diff -u -p -u -p -r1.4 Op_private.pm
--- gnu/usr.bin/perl/lib/B/Op_private.pm	13 Feb 2019 21:15:25 -0000	1.4
+++ gnu/usr.bin/perl/lib/B/Op_private.pm	13 May 2019 15:13:24 -0000
@@ -118,7 +118,7 @@ package B::Op_private;
 our %bits;
 
 
-our $VERSION = "5.028001";
+our $VERSION = "5.028002";
 
 $bits{$_}{3} = 'OPpENTERSUB_AMPER' for qw(entersub rv2cv);
 $bits{$_}{6} = 'OPpENTERSUB_DB' for qw(entersub rv2cv);
